# yaml-language-server: $schema=https://raw.githubusercontent.com/JanDeDobbeleer/oh-my-posh/main/themes/schema.json

version: 2
console_title_template: "{{if .Root}}(Admin){{end}} {{.PWD}}"
blocks:
- type: prompt
  alignment: left
  segments:
  - type: session
    style: plain
    foreground: "#BF616A"
    template: " {{ if .SSHSession }}\ueba9 {{ end }}{{ .UserName }}@{{ .HostName }} "
  - type: path
    style: plain
    foreground: "#81A1C1"
    template: " {{ .Path }} "
    properties:
      style: full
- type: prompt
  alignment: left
  segments:
  - type: git
    style: plain
    foreground: "#6C6C6C"
    template: " {{ .HEAD }}{{if .BranchStatus }} {{ .BranchStatus }}{{ end }}{{ if .Working.Changed }} \uf044 {{ .Working.String }}{{ end }}{{ if and (.Staging.Changed) (.Working.Changed) }} |{{ end }}{{ if .Staging.Changed }} \uf046 {{ .Staging.String }}{{ end }} "
    properties:
      branch_ahead_icon: "<#88C0D0>⇡ </>"
      branch_behind_icon: "<#88C0D0>⇣ </>"
      branch_icon: ""
      fetch_stash_count: true
      fetch_status: true
      fetch_upstream_icon: true
      github_icon: ""
- type: prompt
  alignment: left
  segments:
  - type: executiontime
    style: plain
    foreground: "#A3BE8C"
    template: " {{ .FormattedMs }} "
    properties:
      style: austin
- type: prompt
  alignment: left
  segments:
  - type: time
    style: plain
    foreground: "#3180b5"
    template: " {{ .CurrentDate | date .Format }} "
    properties:
      time_format: "15:04:05"
  - type: exit
    style: plain
    foreground: "#B48EAD"
    foreground_templates:
    - "{{ if gt .Code 0 }}#BF616A{{ end }}"
    template: " {{ if gt .Code 0 }}\uf00d {{ .Meaning }}{{ else }}\uf42e{{ end }} "
    properties:
      always_enabled: true
  newline: true
